results.par = m_grow3_zak_Linfcohort_kcohort.par


#data.df = subset(allstreams.gatsnik.df, Cohort!="P" & Cohort!="C11")

data.df = subset(allstreams.zakojska.df, Cohort!="P" & Cohort!="C11")

data.df$Cohort = factor(data.df$Cohort)

mark.un = unique(data.df$Mark)

col.len = rep(0,length(mark.un))

uv.df = data.frame(Mark = col.len, Cohort = col.len, u = col.len, v = col.len,
Linf = col.len, k = col.len)

for (i in 1:length(mark.un)) {

uv.df$Cohort[i] = as.numeric(data.df[data.df$Mark == mark.un[i],"Cohort"][1])
uv.df$Mark[i] = mark.un[i]
uv.df$u[i] = results.par$u[i]
uv.df$v[i] = results.par$v[i]

if (uv.df$Cohort[i] ==1) {

Linf = exp(results.par$beta[1]*10 + exp(results.par$log_sigma_v) * uv.df$v[i])
k = exp(results.par$beta_k0[1] + exp(results.par$log_sigma_u) * uv.df$u[i])
}

else {

Linf = exp((results.par$beta[1] + results.par$beta[uv.df$Cohort[i]])*10 + 
 exp(results.par$log_sigma_v)* uv.df$v[i])
k = exp(results.par$beta_k0[1] + results.par$beta_k0[uv.df$Cohort[i]] +
exp(results.par$log_sigma_u) * uv.df$u[i])
}

uv.df$Linf[i] = Linf
uv.df$k[i] = k

}

with(uv.df, cor.test(Linf,k))

with(uv.df, cor.test(u,v))

cor.series.zak = rep(0,length(unique(uv.df$Cohort)))

for (ii in 1:length(unique(uv.df$Cohort))) {

cor.series.zak[ii] = with(subset(uv.df, Cohort == unique(uv.df$Cohort)[ii]), 
cor.test(Linf,k))$estimate
}

cv.Linf = rep(0,length(unique(uv.df$Cohort)))

cv.k = rep(0,length(unique(uv.df$Cohort)))






for (j in 1:length(unique(uv.df$Cohort))) {

coh.prov = subset(uv.df,Cohort == j)

assign(paste("coh.sd.u.",unique(uv.df$Cohort)[j],sep=""), sd(coh.prov$u))
assign(paste("coh.sd.v.",unique(uv.df$Cohort)[j],sep=""), sd(coh.prov$v))

cv.Linf[j] = sd(coh.prov$Linf)/mean(coh.prov$Linf)
cv.k[j] = sd(coh.prov$k)/mean(coh.prov$k)

assign(paste("cv.Linf.",unique(uv.df$Cohort)[j],sep=""), cv.Linf[j])
assign(paste("cv.k.",unique(uv.df$Cohort)[j],sep=""), cv.k[j])


}