require(ggplot2)
require(grid)

zak.std = read.table("m_grow3_zak_Linfcohort_kcohort.std",header = T)

table.std = as.data.frame(with(zak.std, table(name)))

zak.std = subset(zak.std,name=="Linf_sd" | name=="k_sd" | name =="beta_t0" | 
name == "sigma_u_sd" | name == "sigma_v_sd")

Linf_sd.vett = which(zak.std$name == "Linf_sd")
k_sd.vett = which(zak.std$name == "k_sd")
t0_sd.vett = which(zak.std$name =="beta_t0")
sigma_u.vett = which(zak.std$name =="sigma_u_sd")
sigma_v.vett = which(zak.std$name =="sigma_v_sd")


 beta.num = table.std[which(table.std$name=="Linf_sd"),"Freq"]
  
 
 
	 zak_Linfcohort_kcohort.err = data.frame(Linf = zak.std[Linf_sd.vett,"value"],
 		Linf_min = zak.std[Linf_sd.vett ,"value"] - 1.96*zak.std[Linf_sd.vett ,"std.dev"],
	   Linf_max = zak.std[Linf_sd.vett ,"value"] + 1.96*zak.std[Linf_sd.vett ,"std.dev"],
	  k =  zak.std[k_sd.vett,"value"],
	  k_min =  zak.std[k_sd.vett,"value"] - 
	   1.96*zak.std[k_sd.vett,"std.dev"],
	   k_max =  zak.std[k_sd.vett,"value"] + 
	   1.96*zak.std[k_sd.vett,"std.dev"],
	  t0 = zak.std[t0_sd.vett,"value"],
	   t0_min = zak.std[t0_sd.vett,"value"] - 1.96*zak.std[t0_sd.vett,"std.dev"],
	   t0_max = zak.std[t0_sd.vett,"value"] + 1.96*zak.std[t0_sd.vett,"std.dev"],
	   sigma_u = zak.std[t0_sd.vett,"value"],
	   sigma_u_min = zak.std[sigma_u.vett,"value"] - 1.96*zak.std[sigma_u.vett,"std.dev"],
	   sigma_u_max = zak.std[sigma_u.vett,"value"] + 1.96*zak.std[sigma_u.vett,"std.dev"],
	   sigma_v = zak.std[t0_sd.vett,"value"],
	   sigma_v_min = zak.std[sigma_v.vett,"value"] - 1.96*zak.std[sigma_v.vett,"std.dev"],
	   sigma_v_max = zak.std[sigma_v.vett,"value"] + 1.96*zak.std[sigma_v.vett,"std.dev"])
	   
	 
 #write.table(zak_Linfcohort_kcohort.err, "zak_Linfcohort_kcohort.err.txt", sep ="\t",row.names = F)	 
	
	# possible plot
	   
#	   ggplot(data = zak_Linfcohort_kcohort.err,aes(x = Linf ,y = k)) + 
#    geom_point() + 
 #   geom_errorbar(aes(ymin = k_min,ymax = k_max)) + 
  #  geom_errorbarh(aes(xmin = Linf_min,xmax = Linf_max))
    
    
 ##### with the model with no predictors ######
 
 zak.std = read.table("m_grow3_zak_noP.std",header = T)

table.std = as.data.frame(with(zak.std, table(name)))

zak.std = subset(zak.std,name=="Linf_sd" | name=="k_sd" | name =="beta_t0")

Linf_sd.vett = which(zak.std$name == "Linf_sd")
k_sd.vett = which(zak.std$name == "k_sd")
t0_sd.vett = which(zak.std$name =="beta_t0")
sigma_u.vett = which(zak.std$name =="sigma_u_sd")
sigma_v.vett = which(zak.std$name =="sigma_v_sd")

 beta.num = table.std[which(table.std$name=="Linf_sd"),"Freq"]
 
 
	 zak0.err = data.frame(Linf = zak.std[Linf_sd.vett,"value"],
 		Linf_min = zak.std[Linf_sd.vett ,"value"] - 1.96*zak.std[Linf_sd.vett ,"std.dev"],
	   Linf_max = zak.std[Linf_sd.vett ,"value"] + 1.96*zak.std[Linf_sd.vett ,"std.dev"],
	  k =  zak.std[k_sd.vett,"value"],
	  k_min =  zak.std[k_sd.vett,"value"] - 
	   1.96*zak.std[k_sd.vett,"std.dev"],
	   k_max =  zak.std[k_sd.vett,"value"] + 
	   1.96*zak.std[k_sd.vett,"std.dev"],
	  t0 = zak.std[t0_sd.vett,"value"],
	   t0_min = zak.std[t0_sd.vett,"value"] - 1.96*zak.std[t0_sd.vett,"std.dev"],
	   t0_max = zak.std[t0_sd.vett,"value"] + 1.96*zak.std[t0_sd.vett,"std.dev"],
	   sigma_u = zak.std[t0_sd.vett,"value"],
	   sigma_u_min = zak.std[sigma_u.vett,"value"] - 1.96*zak.std[sigma_u.vett,"std.dev"],
	   sigma_u_max = zak.std[sigma_u.vett,"value"] + 1.96*zak.std[sigma_u.vett,"std.dev"],
	   sigma_v = zak.std[t0_sd.vett,"value"],
	   sigma_v_min = zak.std[sigma_v.vett,"value"] - 1.96*zak.std[sigma_v.vett,"std.dev"],
	   sigma_v_max = zak.std[sigma_v.vett,"value"] + 1.96*zak.std[sigma_v.vett,"std.dev"]
    
    
   