gat.std = read.table("m_grow3_gat_Linfcohort_kcohort.std",header = T)

table.std = as.data.frame(with(gat.std, table(name)))

gat.std = subset(gat.std,name=="Linf_sd" | name=="k_sd" | name =="beta_t0" | 
name == "sigma_u_sd" | name == "sigma_v_sd")

Linf_sd.vett = which(gat.std$name == "Linf_sd")
k_sd.vett = which(gat.std$name == "k_sd")
t0_sd.vett = which(gat.std$name =="beta_t0")
sigma_u.vett = which(gat.std$name =="sigma_u_sd")
sigma_v.vett = which(gat.std$name =="sigma_v_sd")


 beta.num = table.std[which(table.std$name=="Linf_sd"),"Freq"]
  
 
 
	 gat_Linfcohort_kcohort.err = data.frame(Linf = gat.std[Linf_sd.vett,"value"],
 		Linf_min = gat.std[Linf_sd.vett ,"value"] - 1.96*gat.std[Linf_sd.vett ,"std.dev"],
	   Linf_max = gat.std[Linf_sd.vett ,"value"] + 1.96*gat.std[Linf_sd.vett ,"std.dev"],
	  k =  gat.std[k_sd.vett,"value"],
	  k_min =  gat.std[k_sd.vett,"value"] - 
	   1.96*gat.std[k_sd.vett,"std.dev"],
	   k_max =  gat.std[k_sd.vett,"value"] + 
	   1.96*gat.std[k_sd.vett,"std.dev"],
	  t0 = gat.std[t0_sd.vett,"value"],
	   t0_min = gat.std[t0_sd.vett,"value"] - 1.96*gat.std[t0_sd.vett,"std.dev"],
	   t0_max = gat.std[t0_sd.vett,"value"] + 1.96*gat.std[t0_sd.vett,"std.dev"],
	   sigma_u = gat.std[sigma_u.vett,"value"],
	   sigma_u_min = gat.std[sigma_u.vett,"value"] - 1.96*gat.std[sigma_u.vett,"std.dev"],
	   sigma_u_max = gat.std[sigma_u.vett,"value"] + 1.96*gat.std[sigma_u.vett,"std.dev"],
	   sigma_v = gat.std[sigma_v.vett,"value"],
	   sigma_v_min = gat.std[sigma_v.vett,"value"] - 1.96*gat.std[sigma_v.vett,"std.dev"],
	   sigma_v_max = gat.std[sigma_v.vett,"value"] + 1.96*gat.std[sigma_v.vett,"std.dev"])
	   
	 
 #write.table(gat_Linfcohort_kcohort.err, "gat_Linfcohort_kcohort.err.txt", sep ="\t",row.names = F)	 
	
	# possible plot
	   
#	   ggplot(data = gat_Linfcohort_kcohort.err,aes(x = Linf ,y = k)) + 
#    geom_point() + 
 #   geom_errorbar(aes(ymin = k_min,ymax = k_max)) + 
  #  geom_errorbarh(aes(xmin = Linf_min,xmax = Linf_max))
    
    
 ##### with the model with no predictors ######
 
 gat.std = read.table("m_grow3_gat_noP.std",header = T)

table.std = as.data.frame(with(gat.std, table(name)))

gat.std = subset(gat.std,name=="Linf_sd" | name=="k_sd" | name =="beta_t0")

Linf_sd.vett = which(gat.std$name == "Linf_sd")
k_sd.vett = which(gat.std$name == "k_sd")
t0_sd.vett = which(gat.std$name =="beta_t0")
sigma_u.vett = which(gat.std$name =="sigma_u_sd")
sigma_v.vett = which(gat.std$name =="sigma_v_sd")

 beta.num = table.std[which(table.std$name=="Linf_sd"),"Freq"]
 
 
	 gat0.err = data.frame(Linf = gat.std[Linf_sd.vett,"value"],
 		Linf_min = gat.std[Linf_sd.vett ,"value"] - 1.96*gat.std[Linf_sd.vett ,"std.dev"],
	   Linf_max = gat.std[Linf_sd.vett ,"value"] + 1.96*gat.std[Linf_sd.vett ,"std.dev"],
	  k =  gat.std[k_sd.vett,"value"],
	  k_min =  gat.std[k_sd.vett,"value"] - 
	   1.96*gat.std[k_sd.vett,"std.dev"],
	   k_max =  gat.std[k_sd.vett,"value"] + 
	   1.96*gat.std[k_sd.vett,"std.dev"],
	  t0 = gat.std[t0_sd.vett,"value"],
	   t0_min = gat.std[t0_sd.vett,"value"] - 1.96*gat.std[t0_sd.vett,"std.dev"],
	   t0_max = gat.std[t0_sd.vett,"value"] + 1.96*gat.std[t0_sd.vett,"std.dev"],
	   sigma_u = gat.std[sigma_u.vett,"value"],
	   sigma_u_min = gat.std[sigma_u.vett,"value"] - 1.96*gat.std[sigma_u.vett,"std.dev"],
	   sigma_u_max = gat.std[sigma_u.vett,"value"] + 1.96*gat.std[sigma_u.vett,"std.dev"],
	   sigma_v = gat.std[sigma_v.vett,"value"],
	   sigma_v_min = gat.std[sigma_v.vett,"value"] - 1.96*gat.std[sigma_v.vett,"std.dev"],
	   sigma_v_max = gat.std[sigma_v.vett,"value"] + 1.96*gat.std[sigma_v.vett,"std.dev"])