# Sets up the data in R

library(R2admb)

dd = mockdataset



form0.linf.mock.formula =  ~ 1
form1.k.mock.formula = ~ 1
form1.t0.mock.formula = ~ 1

mod0.linf.mock.mm = model.matrix(form0.linf.mock.formula,data=dd)
mod1.k.mock.mm = model.matrix(form1.k.mock.formula,data=dd)
mod1.t0.mock.mm = model.matrix(form1.t0.mock.formula,data = dd)




X = mod0.linf.mock.mm

X_k0 = mod1.k.mock.mm
X_t0 = mod1.t0.mock.mm


diffmark  = diff(dd$Mark)
diffmark  = ifelse(diffmark==0,0,1)



write_dat("m_grow3",list(n=nrow(dd),
		length=dd$Length,
		age=dd$Age,
                total_marks=length(unique(dd$Mark)),
		start=c(1,which(diffmark>0)+1),
		stop=c(which(diffmark>0),nrow(dd)),
		q=ncol(X),
		X=X,
		q_k0=ncol(X_k0),
		X_k0=X_k0,
		q_t0=ncol(X_t0),
X_t0=X_t0,check=12345))
	

