library(MCMCglmm)

prior3.1 <- list(G = list(G1 = list(V = 1, nu = 0.002)), R = list(V = 1,
nu = 0.002))
gatrep <- MCMCglmm(Length ~ as.factor(Age), random = ~Mark, data = allstreams.gatsnik.nop.df,
prior = prior3.1, verbose = FALSE, nitt=30000,burnin=5000) 
#plot(gatrep$Sol) 
#plot(gatrep$VCV)
posterior.mode(gatrep$VCV)
HPDinterval(gatrep$VCV)

mod = gatrep
gatrep.postmode = posterior.mode(mod$VCV)[1]/(posterior.mode(mod$VCV)[1]+posterior.mode(mod$VCV)[2])
gatrep.hpd = HPDinterval(mod$VCV[, 1]/rowSums(mod$VCV))


prior3.1 <- list(G = list(G1 = list(V = 1, nu = 0.002)), R = list(V = 1,
nu = 0.002))
gatrep.red <- MCMCglmm(Length ~ as.factor(Age), random = ~Mark, 
data = subset(allstreams.gatsnik.nop.df, Age<4),
prior = prior3.1, verbose = FALSE, nitt=30000,burnin=5000) 
#plot(gatrep$Sol) 
#plot(gatrep$VCV)
posterior.mode(gatrep.red$VCV)
HPDinterval(gatrep.red$VCV)


mod = gatrep.red
gatrep.red.postmode = posterior.mode(mod$VCV)[1]/(posterior.mode(mod$VCV)[1]+posterior.mode(mod$VCV)[2])
gatrep.red.hpd = HPDinterval(mod$VCV[, 1]/rowSums(mod$VCV))

prior3.1 <- list(G = list(G1 = list(V = 1, nu = 0.002)), R = list(V = 1,
nu = 0.002))
zakrep <- MCMCglmm(Length ~ as.factor(Age), random = ~Mark, data = allstreams.zakojska.nop.df,
prior = prior3.1, verbose = FALSE, nitt=30000,burnin=5000) 
#plot(zakrep$Sol) 
#plot(zakrep$VCV)
posterior.mode(zakrep$VCV)
HPDinterval(zakrep$VCV)

mod = zakrep
zakrep.postmode = posterior.mode(mod$VCV)[1]/(posterior.mode(mod$VCV)[1]+posterior.mode(mod$VCV)[2])
zakrep.hpd = HPDinterval(mod$VCV[, 1]/rowSums(mod$VCV))

  
prior3.1 <- list(G = list(G1 = list(V = 1, nu = 0.002)), R = list(V = 1,
nu = 0.002))
zakrep.red <- MCMCglmm(Length ~ factor(Age), random = ~Mark, data = subset(allstreams.zakojska.nop.df, Age<4),
prior = prior3.1, verbose = FALSE, nitt=30000,burnin=5000) 
#plot(zakrep.red$Sol) 
#plot(zakrep.red$VCV)
posterior.mode(zakrep.red$VCV)
HPDinterval(zakrep.red$VCV)

mod = zakrep.red
zakrep.red.postmode = posterior.mode(mod$VCV)[1]/(posterior.mode(mod$VCV)[1]+posterior.mode(mod$VCV)[2])
zakrep.red.hdp = HPDinterval(mod$VCV[, 1]/rowSums(mod$VCV))